package sagittarius.findyourfate.com;

import android.os.Bundle;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentTransaction;

import android.text.Html;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
  
public class signs extends Fragment {
	WebView web;
	ImageView ariessign,othersign;
	TextView signtext;
	Button back;
	int fsize=0;
	String  signs;
	 
	 @Override
	   public View onCreateView(LayoutInflater inflater, ViewGroup container,
		        Bundle savedInstanceState) 
	   			{
	         	View rootView = inflater.inflate(R.layout.sign, container, false);
                Bundle bundle=getArguments(); 
                
               signs=bundle.getString("signs");	
		 	   String userAgent = new WebView(getActivity()).getSettings().getUserAgentString();
		 		if (userAgent.contains("Mobile"))
				{
				 	rootView = inflater.inflate(R.layout.sign, container, false);
				 	fsize=17;
		 	 	}
			 	else 
				{
					rootView = inflater.inflate(R.layout.signtablet, container, false);
					fsize=21;
				}
		        web=(WebView) rootView.findViewById(R.id.webView1);
                web.setBackgroundColor(0);
                ariessign=(ImageView) rootView.findViewById(R.id.ariesview);
			    othersign=(ImageView) rootView.findViewById(R.id.signview);
			    signtext=(TextView) rootView.findViewById(R.id.text);
			    back=(Button) rootView.findViewById(R.id.back);
		 		web.getSettings().setBuiltInZoomControls(true);  
			  	WebSettings webSettings = web.getSettings(); 
				webSettings.setDefaultFontSize(fsize);
				
				if(signs=="Aries")
				{   
				 	othersign.setImageResource(R.drawable.aries);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"5\" color=\"#ffffff\"><b>Compatible</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
		 			web.loadUrl("file:///android_asset/saggaries.html");
				}
				if(signs=="Taurus")
				{
				 	web.setBackgroundColor(0);
				  	othersign.setImageResource(R.drawable.taurus);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"5\" color=\"#ffffff\"><b>Incompatible</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
			 		 web.loadUrl("file:///android_asset/saggtaur.html");
				}
				if(signs=="Gemini")
				{
			 		web.setBackgroundColor(0);
					othersign.setImageResource(R.drawable.gemini);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"5\" color=\"#ffffff\"><b>Variable</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
					web.loadUrl("file:///android_asset/saggemin.html");
	 			}
				if(signs=="Cancer")
				{
				 	web.setBackgroundColor(0);
					othersign.setImageResource(R.drawable.cancer);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"5\" color=\"#ffffff\"><b>Incompatible</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
					web.loadUrl("file:///android_asset/saggcancer.html");
			  	}
				if(signs=="Leo")
				{
				 	web.setBackgroundColor(0);
					othersign.setImageResource(R.drawable.leo);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"3\" color=\"#ffffff\"><b>Compatible</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
					web.loadUrl("file:///android_asset/saggleo.html");
				}
				if(signs=="Virgo")
				{
					web.setBackgroundColor(0);
					othersign.setImageResource(R.drawable.virgo);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"3\" color=\"#ffffff\"><b>Incompatible</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
					web.loadUrl("file:///android_asset/saggvirgo.html");
					}
				if(signs=="Libra")
				{
		 			web.setBackgroundColor(0);
					othersign.setImageResource(R.drawable.libra);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"3\" color=\"#ffffff\"><b>Compatible</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
					web.loadUrl("file:///android_asset/sagglibra.html");
				}
				if(signs=="Scorpio")
				{
				    web.setBackgroundColor(0);
					othersign.setImageResource(R.drawable.scorpio);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"3\" color=\"#ffffff\"><b>Incompatible</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
					web.loadUrl("file:///android_asset/scorpsagg.html");
				}
				if(signs=="Sagittarius")
				{
				 	web.setBackgroundColor(0);
					othersign.setImageResource(R.drawable.sagg);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"3\" color=\"#ffffff\"><b>Variable</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
					web.loadUrl("file:///android_asset/saggsagg.html");
				}
				if(signs=="Capricorn")
				{
				 	web.setBackgroundColor(0);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"3\" color=\"#ffffff\"><b>Incompatible</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
					othersign.setImageResource(R.drawable.capri);
					web.loadUrl("file:///android_asset/saggcapri.html");
			  	}
				if(signs=="Aquarius")
				{
					web.setBackgroundColor(0);
					othersign.setImageResource(R.drawable.aquar);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"3\" color=\"#ffffff\"><b>Compatible</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
					web.loadUrl("file:///android_asset/saggaquar.html");
			 	}
				if(signs=="Pisces")
				{
			 		web.setBackgroundColor(0);
					othersign.setImageResource(R.drawable.pisces);
					signtext.setText(Html.fromHtml("<font size=\"2\" color=\"#000000\">Sagittarius is :</font><font size=\"3\" color=\"#ffffff\"><b>Incompatible</b></font><font size=\"2\" color=\"#000000\"> with "+signs+"</font>"));
					web.loadUrl("file:///android_asset/saggpisces.html");
				}
				
		  	back.setOnClickListener(new View.OnClickListener() {
					@Override
					public void onClick(View v) {
						// TODO Auto-generated method stub
						Fragment newFragment = new compatibility();  
						Bundle args = new Bundle();  
						newFragment.setArguments(args);
					 	FragmentTransaction transaction = getFragmentManager().beginTransaction();
						transaction.setCustomAnimations(R.anim.left_out, R.anim.left_in);
						transaction.replace(R.id.frame, newFragment);  
		 				transaction.addToBackStack(null);
						transaction.commit();  
					}
				});
			return rootView;
          }
   }
